Package org.jfree.report.flow

# Interface ReportProcessor

All Known Implementing Classes:
  `AbstractReportProcessor`, `FlowReportProcessor`, `PaginatingReportProcessor`, `PrintReportProcessor`, `RawReportProcessor`, `SinglePassReportProcessor`, `StreamingReportProcessor`, `XmlPrintReportProcessor`

public interface ReportProcessor
The report processor is the public frontend to the reporting process. In its most generic appearance, it accepts a report job and fully processes that job without any other programmatic work required.

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`void`
`processReport(ReportJob job)`

## Method Details

### processReport

void processReport(ReportJob job) throws ReportDataFactoryException, DataSourceException, ReportProcessingException

Throws:
  `ReportDataFactoryException`
  `DataSourceException`
  `ReportProcessingException`